//---------------------------------------------------------------------------
//  Copyright  2000, Olga Vlasova, Russia
//  http://www.volgadb.com
//  E-mail: info@volgadb.com
//---------------------------------------------------------------------------
unit VolgaConst;

interface

resourcestring
   V_NUMREC = 'Number of records read (%d) does not match declared record count (%d)';
   V_READONLYFLD = 'Field ''%s'' is read only!';
   V_NOTEDITMODE = 'Table is not in edit or insert mode';
   V_BUFSTRU = 'Buffer structure corruption!';
   V_FLDDEF = 'Error in buffer structure (field description section)';
   V_ENDBUF = 'Unexpected end of buffer';
   V_FLDLEN = 'Field ''%s'' has wrong length %d in record %d';
   V_STRLEN = 'String field ''%s'' has wrong length %d in record %d';
   V_BLOBLEN = 'BLOB field ''%s'' has wrong length %d in record %d';
   V_RECNOTFOUND = 'Record is not found';
   V_RECDELETED = 'Record has been deleted';
   V_NOTFOUND = 'Not Found';
   V_YES = 'Yes';
   V_NO = 'No';
   V_RECZERO = 'Number of records is equal to 0';
   V_RECREADONLYDEL = 'Read-only record cannot be deleted';
   V_ADDREADONLY = 'You have read only access, you can not add records!';
   V_RECREADONLYCHAN = 'Read-only record cannot be changed';
   V_CALCEDIT = 'Cannot edit CalcFields';
   V_CIRCULARLINK = 'Circular data link';
   V_NONVOLGADATASET = 'Use only TVolgaDataset descendants for master-detail relationship';
   V_ERRDELETE = 'Error deleting record: ';
   V_ERRSAVE = 'Error saving record: ';
   V_ERRSAVENEW = 'Error saving new record: ';
   V_OPENFILE = 'Error opening file %s';
   V_ERRCLONE = 'Cloned table is not active!';
   V_CLOSECLON = 'Cloned tables are not closed before source dataset is closed!';
   V_OPENEMPTY = 'Error creating table (no field descriptions)';
   V_OPENTABLE = 'Error opening table: ';
   V_KEYNOTEQUAL = 'Key fields in the tables do not match';
   V_BATCHSOURCE = 'Source for copying is not assigned or same as destination';
   V_SOURCEOPEN = 'Error opening source table for copying';
   V_OPENDLGFILT = 'Volga data files (*.d)|*.d|All files (*.*)|*.*';
   V_OPENALLDLGFILT = 'Volga data files (*.d)|*.d|Paradox files (*.db)|*.db|DBase files (*.dbf)|*.dbf|All files (*.*)|*.*';
   V_VARIANTERROR = 'Unsupported type of Variant parameter';
   V_QUOTENOTCLOSED = 'Unmatched quote';
   V_INVALIDIDENT = 'Invalid symbol in parameter/identificator/reserved word';
   V_NOTVALIDID = 'Parameter %s is not valid identifier';
   V_ERBRACKET = 'Unmatched parentheses';
   V_FEWTOKENS = 'Fewer than 4 tokens in Select statement';
   V_NOTSELECTFIRST = 'SELECT reserved word is not found';
   V_INVALIDNUMBER = 'Token %s is invalid number';
   V_ERRCOMPARING = 'Error in comparison expression';
   V_NEXTTOKENINVALID = 'After %s , invalid token %s is found';
   V_ERRINSELECTPART = 'Invalid token %s in column part of SELECT statement';
   V_ERRINGROUPPART = 'Invalid GROUP BY clause in SELECT statement';
   V_ERRGROUPFIELD = 'Invalid field %s in GROUP BY clause';
   V_NOTGROUPFIELD = 'Field %s is not in GROUP BY clause or in aggregate function';
   V_ERRINFROMPART = 'Invalid token %s in FROM part of SELECT statement';
   V_ERRNOALLPARTS = 'SELECT or FROM part of select statement is not found';
   V_ERRFIELDNAME = 'Field %s.%s is not belong to any table in FROM part';
   V_EMPTYSQL = 'SQL statement is empty';
   V_UNSUPPORTJOIN = 'Unsupported join type';
   V_FIELDNOTFOUND = 'Field %s is not found in table %s';
   V_ERRLINKCOUNT = 'Number of joins must be equal to number of tables minus one';
   V_INVALIDPASSW = 'Invalid password. Table cannot be open';
   V_PASSWCAPTION = 'Login password';
   V_PASSWPROMPT = 'Enter password:';
   V_UNSUPPORTEDFUN = 'Unsupported function %s in query';
   V_SYMBOLINFUNC = 'Symbol %s is not supported in aggregate function argument';
   V_OPENDIRECTORY = 'Select directory with data tables';
   V_TRYAGAIN = 'Password is invalid. Try again';
   V_ERRSELECTSERVER = 'Error when execute SELECT query on server';
   V_ERRUPDATESERVER = 'Error when update data on server';
   V_WRONGDATASET = 'Dataset %s is not belong to this database';
   V_ERRCONNECT = 'Cannot connect to server';
   V_RESTRNODATA = 'No field descriptions or TableName is empty';
   V_RESTRLISTERROR = 'Error in field descriptions for restructure';
   V_INVALIDMASK = '''%s'' is an invalid mask at (%d)';
   V_STREAMNOTEXIST = 'Loading stream is not assigned';
   V_ERRORLOADLIBRARY = 'Library %s is not found';
   V_LIBRARYABSENT = 'Library name is empty. Please set library name in Params property';
   V_FUNCTIONABSENT = 'Function %s is absent in library %s';
   V_NILDATABASE = 'Database property is nil';
   V_NOVOLGADRIVER = 'This capability is supported only by MSSQL, DAO or Remote drivers';
   V_TYPESNOTEQUAL = 'Types of compared fields are not equal';
   V_NOTSETKEYSTATE = 'Current state is not dsSetKey';
   V_INDEXOUTOFRANGE = 'Index is out of range';
   V_CALCORBLOB = 'There are calc or BLOB fields in list of key fields';
   V_DATASETCLOSED = 'Cannot do this operation on closed dataset';
   V_KEYVIOLATION = 'Key violation';
   V_DUPLICATEALIAS = 'Duplicate alias name in collection';
   V_CIRCULARREFERENCE = 'Circular reference in datasets collection';

implementation

end.
